<template>
	<div>
		<img :src="image" class="job-bg-image">
		<div class="container job-search-container">
            <div class="row justify-content-center job-search-box">
            	<div class="input-group col-md-5">
            		<el-form>
						<el-input placeholder="Job title Or Company Name" v-model="jobTitle">
							<router-link :to="{ name: 'searchByTitle', params: {search: this.jobTitle } }">
					        	<el-button slot="append">
									<i class="fas fa-1x fa-search text-white" style="font-size: 1.5em"></i>
								</el-button>
					        </router-link>
						</el-input>
            		</el-form>
	            </div>
	            <div class="input-group col-md-5">
		            <el-input placeholder="Location" v-model="location"  class="input-with-select">
		            	<i
						    class="el-icon-location el-input__icon"
						    slot="suffix">
						</i>
		            	<el-button slot="append">
		            		<i class="fas fa-1x fa-search text-white" style="font-size: 1.5em"></i>
		            	</el-button>
		            </el-input>
	            </div>
            </div>
        </div>
		<div class="container my-5">
			<div class="row justify-content-center">
				<div v-for="jobList in jobLists"
					class="col-md-10 mb-5"
					v-loading="loading"
					:key="jobList.id">
					<div class="card-body job-list-card">
					    <h3 class="card-title">
					    	<i class="fas fa-briefcase mr-3"></i>{{ jobList.title }}
					    </h3>
					    <h6 class="text-dark my-3">
					    	<span class="mr-4"><i class="job-page-icon fa fa-bookmark"></i>  {{ jobList.position_type }}</span>
					    	<span class="mr-4"><i class="job-page-icon fa fa-map-marker"></i>  {{ jobList.location }}</span>
					    	<span class="mr-4"><i class="job-page-icon fa fa-money-bill-alt"></i>  {{ jobList.salary }}</span>
					    </h6>
					    <h5 class="text-underline"><u>Description</u></h5>
					    <p class="card-text my-3">{{ jobList.description }}</p>
					    <apply-button :user="user" :id="jobList.id" :is_applied="jobList.is_applied"></apply-button>
					</div>
				</div>
			</div>
		</div>
	</div>
</template>

<style>
	.el-input__inner {
		border-top-left-radius: 30px;
		border-bottom-left-radius: 30px;
		height: 40px!important;
		border-radius: none;
	}
	.el-input.is-active .el-input__inner, .el-input__inner:focus {
		border-color: #42b883;
	}
	.el-input-group__append button.el-button {
		background-color: #42b883;
		vertical-align: middle;
    	height: 40px;
		outline: none;
		z-index: 1;
		position: relative;
	}
	.el-input-group__append button.el-button:focus, .el-input-group__append button.el-button:hover {
		outline: none;
		background-color: #42b883;
	}
	.el-input-group__append button.el-button:hover::before {
	    background-color: rgba(255,255,255,.2);
	    opacity: 1;
	    transform: scale(1,1); 
	}
	.el-input-group__append button.el-button::before {
    	content: '';
	    position: absolute;
	    top: 0;
	    left: 0;
	    width: 100%;
	    height: 100%;
	    z-index: 1;
	    opacity: 0;
	    transform: scale(0,0);
	    z-index: -1;
	    transition: all .5s ease-out 0s;
	}
</style>

<script>
	import jobImage from "../../../images/job-bg.jpeg"
	import applyButton from "./apply_button.vue"

	export default {
		props: ['user'],
		data() {
			return {
				search: this.$route.params.search,
				image: jobImage,
				jobLists: [],
				jobTitle: '',
				location: '',
				loading: false,
				applyStatus: '',
			}
		},
		created() {
			this.applyStatus = this.is_applied
		},
		components : {
			'apply-button': applyButton,
		},
		methods: {
			searchByTitle() {
				axios.get('job/searchByTitle/' + this.search)
				.then(response => {
					this.jobLists = response.data;
				})
			},
			apply(id) {
				axios.post('/applier', {
	                user_id: this.$auth.user().id,
	                job_id: id,
	            })
	            .then(response => {
	            	this.applyStatus = response.data;
	                this.$message({
	                	type: 'success', 	
	                	message: 'Thank for your apply. We will contact you soon.',
	                });
	            })
			}
		},
		mounted() {
			this.searchByTitle();
		}
	}
</script>